#
# Cookbook Name:: sqlserver
# Recipe:: default
#
# Copyright (C) 2016 YadaYadaSoftware.com
#
# All rights reserved - Do Not Redistribute
#

if "#{node[:sqlserver][:version]}" == "2016"
	include_recipe 'ms_dotnet35'
end

include_recipe 'ec2helper'
include_recipe 'mssqlserver::mount'

ini_file = "#{Chef::Config[:cache_path]}/#{node[:sqlserver][:ini_file_template_source]}"

template "#{ini_file}" do
  source "#{node[:sqlserver][:ini_file_template_source]}"
end

execute 'Install SQL' do
	timeout 7200
	command lazy {"#{node[:ec2helper][:iso][:mount][:drive_letter]}:/setup.exe /IAcceptSQLServerLicenseTerms=true /ConfigurationFile=#{ini_file} /SAPWD=#{node[:sqlserver][:SAPWD]}"}
	not_if { ::File.exist?( "#{node[:sqlserver][:SQLTEMPDBDIR]}/tempdb.mdf" ) }
end
